package org.ids_mannheim;

import org.bouncycastle.crypto.digests.Blake2bDigest;

public class DeterministicRandomProvider {
    private final Blake2bDigest b2bd = new Blake2bDigest(null, 1, null, null);
    private final byte[] out_bytes = new byte[4];
    private int max_values;

    public DeterministicRandomProvider(int max_values) {
        this.max_values = max_values;
    }

    public int getFoldFromTextID(String id) {
        b2bd.update(id.getBytes(), 0, id.length());
        b2bd.doFinal(out_bytes, 0);
        return Byte.toUnsignedInt(out_bytes[0]) % max_values;
    }
}

